onEvent('recipes', event => {

  event.recipes.custommachinery.custom_machine("custommachinery:cobblegenerator", 100)
  .requireFluid(Fluid.of("minecraft:water", 10))
  .requireFluid(Fluid.of("kubejs:alga_essences", 5))
  //.requireFluidTag("#minecraft:lava", 5)
  .produceItem(Item.of("minecraft:cobblestone", 1))
})


onEvent('cm_upgrades', event => {
    event.create(Item.of('kubejs:fluid_upgrade'), 1)
    .machine("custommachinery:cobblegenerator")
	//.tooltip('流体需求减少升级Mk1')
	//.tooltip('造石机流体需求减少40%，速度提升30%')
	.mulInput('custommachinery:speed', 0.7)
    .mulInput('custommachinery:fluid', 0.6)
	
})
onEvent('cm_upgrades', event => {
    event.create(Item.of('kubejs:fluid_upgrade_mk2'), 1)
    .machine("custommachinery:cobblegenerator")

	//.tooltip('造石机流体需求减少60%，速度提升60%')
	.mulInput('custommachinery:speed', 0.4)
    .mulInput('custommachinery:fluid', 0.4)
	
})
onEvent('cm_upgrades', event => {
    event.create(Item.of('kubejs:fluid_upgrade_mk3'), 1)
    .machine("custommachinery:cobblegenerator")
	//.tooltip('造石机流体需求减少100%，速度提升90%')
	.mulInput('custommachinery:speed', 0.1)
    .mulInput('custommachinery:fluid', 0)
	
})